/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_QUALIFICACAO                                             */
/* Tabela : QUALIFICACAO                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_QUALIFICACAO'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_QUALIFICACAO
GO

CREATE TRIGGER DTULTATU_QUALIFICACAO
ON QUALIFICACAO
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'QUALIFICACAO', null, 'CDQUALIF='+ CDQUALIF+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE QUALIFICACAO
      SET DTULTATUQUAL = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(QUALIFICACAO.CDQUALIF,0)     = ISNULL(INSERTED.CDQUALIF,0))     AND
            (ISNULL(QUALIFICACAO.DSQUALIF,0)     = ISNULL(INSERTED.DSQUALIF,0))     AND
            (ISNULL(QUALIFICACAO.IDPERCOTCMP,0)  = ISNULL(INSERTED.IDPERCOTCMP,0))  AND
            (ISNULL(QUALIFICACAO.DTULTATUQUAL,0) = ISNULL(INSERTED.DTULTATUQUAL,0));
   END;
END;
GO

